<?php  
include_once "../../conexao/functions.php";

if (isset($_POST['submit'])) {
	$nome   = trim($_POST['nome']);

	if (isset($_FILES['imagem'])) {
		$imagem    = $_FILES['imagem'];
		$tipos 	   = array('jpg', 'png', 'jpeg'); 
		$nome_img  = date("dmyhis");
		$verifica1 = uploadFile($imagem, 'imagens_app/', $tipos, $nome_img);
		if(isset($verifica1['erro'])){
			header("Location: ../home?r=app_erro");
		}
	}

	if (isset($_FILES['aplicativo'])) {
		$apk 	   = $_FILES['aplicativo'];
		$tipos     = array('apk', 'exe'); 
		$nome_apk  = date("dmyhis");
		$verifica2 = uploadFile($apk, 'aplicativos/', $tipos, $nome_apk);
		if(isset($verifica2['erro'])){
			header("Location: ../home?r=app_erro");
		}
	}

	if (registrarApp($nome, $verifica2['caminho'], $verifica1['caminho'])) {
		header("Location: ../home?r=app_adicionado");
	}else{
		header("Location: ../home?r=app_erro");
	}

	// var_dump($verifica2); die();

}
// MODAL
echo '
<div class="modal-content">
<div class="modal-header">
<h5 class="modal-title">Adicionar aplicativo</h5>
<button class="close" type="button" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">×</span></button>
</div>
<div class="modal-body">
<form action="actions/adicionar_app.php" method="POST" enctype="multipart/form-data">

<div class="form-group">
<label class="col-form-label" for="recipient-name"><b>Nome app:</b></label>
<input class="form-control" type="text" name="nome" required>
</div>

<div class="form-group">
<label class="col-form-label"><b>Imagem app:</b></label>
<input class="form-control" name="imagem" type="file" required>
</div>

<div class="form-group">
<label class="col-form-label"><b>Aplicativo (.apk):</b></label>
<input class="form-control" name="aplicativo" type="file" required>
</div>

<div class="modal-footer">
<button class="btn btn-secondary" type="button" data-dismiss="modal">Cancelar</button>
<button class="btn btn-primary" name="submit" type="submit">Salvar dados</button>
</div>
</form>
</div>
</div>
';

?>